import React, { isValidElement } from 'react';
import { Typography } from 'rlj-design';
var Ellipsis = Typography.Ellipsis;
import "./index.less"; // 拖动的时候要阻止hover，

export default function App(props) {
  var text = props.text,
      width = props.width,
      stopHover = props.stopHover;
  if ( /*#__PURE__*/isValidElement(text)) return text;
  return /*#__PURE__*/React.createElement(Ellipsis, {
    isMaxWidth: false,
    width: width,
    text: text,
    hover: !stopHover
  });
}